 $(document).ready(function() {
	
	// LOADER
	$('loading').show();
	$(window).load(function() {
		$.colorbox({
			onOpen: function() {
				$('#colorbox').addClass('unzoomedMapOverlay');
			},
			onClosed: function() {
				$('#colorbox').removeClass('unzoomedMapOverlay');
				$('.button.unzoom').show('fast');
			},
			inline:true,
			href:'#unzoomedMap',
			width:'100%',
			height:'100%',
			opacity:0.7
		});
		setTimeout(function(){
			$.colorbox.close();
		}, 5000);
	});
	
	// MAIN MAP
	draggableZone();
	$(window).resize(function(e) {
		draggableZone();
	});
	
	// DRAGGABLE
	$('.draggable').draggable({ containment:"parent" });
	
	// ARROW NAVIGATION
	arrowNav();
	
	// MAIN NAV
	mainNav();
	
	// TOOLTIP
	tooltipDisplay();
	
	
	// HOWTO
	$('.button.howto > a').colorbox({
		transition:'fade',
		inline:true,
		width:'100%',
		height:'100%',
		opacity:0
	});
	// UNZOOMED MAP
	$('.button.unzoom > a').colorbox({
		onOpen: function() {
			$('#colorbox').removeClass().addClass('unzoomedMapOverlay');
		},
		onClosed: function() {
			$('#colorbox').removeClass('unzoomedMapOverlay');
		},
		inline:true,
		width:'100%',
		height:'100%',
		opacity:0.7
	});
	$('.button.unzoom > a').live('click', function(){
		$('#colorbox').removeClass().addClass('unzoomedMapOverlay');
		$('#cboxOverlay').css({opacity:0.7});
	});
	$('#cboxContent .closebutton').live('click', function(){
		$.fn.colorbox.close();
	});
	// POPUP 1.1
	$('a.popup11').colorbox({
		onOpen:function(){$('#colorbox').removeClass().addClass('zoom1')},
		onClosed:function(){$('#colorbox').removeClass()},
		inline:true,
		width:'100%',
		height:'100%',
		opacity:0
	}).click(function(){
		$('#colorbox').removeClass().addClass('zoom1');
	});
	// POPUP 1.2
	$('a.popup12').colorbox({
		onOpen:function(){$('#colorbox').removeClass().addClass('zoom4')},
		onClosed:function(){$('#colorbox').removeClass()},
		inline:true,
		width:'100%',
		height:'100%',
		opacity:0
	}).click(function(){
		$('#colorbox').removeClass().addClass('zoom4');
	});
	// POPUP 1.3
	$('a.popup13').colorbox({
		onOpen:function(){$('#colorbox').removeClass().addClass('zoom6')},
		onClosed:function(){$('#colorbox').removeClass()},
		inline:true,
		width:'100%',
		height:'100%',
		opacity:0
	}).click(function(){
		$('#colorbox').removeClass().addClass('zoom6');
	});
	// POPUP 1.4
	$('a.popup14').colorbox({
		onOpen:function(){$('#colorbox').removeClass().addClass('zoom1')},
		onClosed:function(){$('#colorbox').removeClass()},
		inline:true,
		width:'100%',
		height:'100%',
		opacity:0
	}).click(function(){
		$('#colorbox').removeClass().addClass('zoom1');
	});
	// POPUP 2.1
	$('a.popup21').colorbox({
		onOpen:function(){$('#colorbox').removeClass().addClass('zoom5')},
		onClosed:function(){$('#colorbox').removeClass()},
		inline:true,
		width:'100%',
		height:'100%',
		opacity:0
	}).click(function(){
		$('#colorbox').removeClass().addClass('zoom5');
	});
	// POPUP 2.2
	$('a.popup22').colorbox({
		onOpen:function(){$('#colorbox').removeClass().addClass('zoom2')},
		onClosed:function(){$('#colorbox').removeClass()},
		inline:true,
		width:'100%',
		height:'100%',
		opacity:0
	}).click(function(){
		$('#colorbox').removeClass().addClass('zoom2');
	});
	// POPUP 3.1
	$('a.popup31').colorbox({
		onOpen:function(){$('#colorbox').removeClass().addClass('zoom2')},
		onClosed:function(){$('#colorbox').removeClass()},
		inline:true,
		width:'100%',
		height:'100%',
		opacity:0
	}).click(function(){
		$('#colorbox').removeClass().addClass('zoom2');
	});
	// POPUP 3.2
	$('a.popup32').colorbox({
		onOpen:function(){$('#colorbox').removeClass().addClass('zoom2')},
		onClosed:function(){$('#colorbox').removeClass()},
		inline:true,
		width:'100%',
		height:'100%',
		opacity:0
	}).click(function(){
		$('#colorbox').removeClass().addClass('zoom2');
	});
	// POPUP 3.3
	$('a.popup33').colorbox({
		onOpen:function(){$('#colorbox').removeClass().addClass('zoom2')},
		onClosed:function(){$('#colorbox').removeClass()},
		inline:true,
		width:'100%',
		height:'100%',
		opacity:0
	}).click(function(){
		$('#colorbox').removeClass().addClass('zoom2');
	});
	// POPUP 3.4
	$('a.popup34').colorbox({
		onOpen:function(){$('#colorbox').removeClass().addClass('zoom2')},
		onClosed:function(){$('#colorbox').removeClass()},
		inline:true,
		width:'100%',
		height:'100%',
		opacity:0
	}).click(function(){
		$('#colorbox').removeClass().addClass('zoom2');
	});
	// POPUP 3.5
	$('a.popup35').colorbox({
		onOpen:function(){$('#colorbox').removeClass().addClass('zoom2')},
		onClosed:function(){$('#colorbox').removeClass()},
		inline:true,
		width:'100%',
		height:'100%',
		opacity:0
	}).click(function(){
		$('#colorbox').removeClass().addClass('zoom2');
	});
	// POPUP 4.1
	$('a.popup41').colorbox({
		onOpen:function(){$('#colorbox').removeClass().addClass('zoom1')},
		onClosed:function(){$('#colorbox').removeClass()},
		inline:true,
		width:'100%',
		height:'100%',
		opacity:0
	}).click(function(){
		$('#colorbox').removeClass().addClass('zoom1');
	});
	// POPUP 4.2
	$('a.popup42').colorbox({
		onOpen:function(){$('#colorbox').removeClass().addClass('zoom2')},
		onClosed:function(){$('#colorbox').removeClass()},
		inline:true,
		width:'100%',
		height:'100%',
		opacity:0
	}).click(function(){
		$('#colorbox').removeClass().addClass('zoom2');
	});
	
	credits();

});


// DRAGGABLE ZONE CREATION
function draggableZone(){
	var draggableZoneWidth = $(window).width() + ( ($('.draggable.map').width()-$(window).width()) * 2);
	var draggableZoneHeight = $(window).height() + ( ($('.draggable.map').height()-$(window).height()) * 2);
	$('#main').css({
		width : draggableZoneWidth,
		height : draggableZoneHeight,
		top : -( draggableZoneHeight - $(window).height() )/2,
		left : -( draggableZoneWidth - $(window).width() )/2
	});
	$('.draggable.map').css({
		top : ( $('.draggable.map').height() - $(window).height() ) /2,
		left : ( $('.draggable.map').width() - $(window).width() ) /2
	});
}

// ARROW NAVIGATION
function arrowNav(){
	var scrollValue = 50;
	// SCROLL TOP
	$('a.button.scrollTop').click(function(e) {
		var parentMap = $(this).parent();
		var maxTop = $('#main').height()-parentMap.height();
		if( parseInt($(parentMap).css('top'), 10) < maxTop-scrollValue ){
			$(parentMap).animate({
				top:'+='+scrollValue+'px'
			});
		} else {
			$(parentMap).animate({
				top:maxTop+'px'
			});
		}
	});
	// SCROLL RIGHT
	$('a.button.scrollRight').click(function(e) {
		var parentMap = $(this).parent();
		if( parseInt($(parentMap).css('left'), 10) > scrollValue ){
			$(this).parent().animate({
				left:'-='+scrollValue+'px'
			});
		} else {
			$(parentMap).animate({
				left:'0px'
			});
		}
	});
	// SCROLL BOTTOM
	$('a.button.scrollBottom').click(function(e) {
		var parentMap = $(this).parent();
		if( parseInt($(parentMap).css('top'), 10) > scrollValue ){
			$(this).parent().animate({
				top:'-='+scrollValue+'px'
			});
		} else {
			$(parentMap).animate({
				top:'0px'
			});
		}
	});
	// SCROLL LEFT
	$('a.button.scrollLeft').click(function(e) {
		var parentMap = $(this).parent();
		var maxLeft = $('#main').width()-parentMap.width();
		if( parseInt($(parentMap).css('left'), 10) < maxLeft-scrollValue ){
			$(this).parent().animate({
				left:'+='+scrollValue+'px'
			});
		} else {
			$(parentMap).animate({
				left:maxLeft+'px'
			});
		}
	});
}

// MAIN NAV ANIMATION
function mainNav(){
	$('#mainNav > ul > li').hover( function(e){
		$(this).find('.subNav:not(:animated)').show();
	},function(){
		$(this).find('.subNav').hide();
	});	
}

// TOOLTIP
function tooltipDisplay(){
	$('.pins > div').hover( function(e){
		$(this).find('.tooltip:not(:animated)').show();
	},function(){
		$(this).find('.tooltip').hide();
	});	
}

// CREDITS
function credits(){
	$('#credits a.button').click( function(e){
		$('#credits a.button').animate({ bottom:'-24px', opacity:0 },function(){
			$('#credits .content').animate({ bottom:'0px', opacity:1 });
		});
	});
	$('#credits a.close').click( function(e){
		$('#credits .content').animate({ bottom:'-175px', opacity:0 },function(){
			$('#credits a.button').animate({ bottom:'0px', opacity:1 });
		});
	});
}